/*
Fahrenheit na stupne Celsia

TODO:
0. Problem s prekladem
1. Problem s celociselnym delenim, implicitni konverze datovych typu
2. Vypis promennych na vice cislic
3. Konstanty jako realna cisla
4. Promenne jako realna cisla
5. Vypis promennych na vice desetinnych mist
6. Vyuziti prikazu for
7. Symbolicke konstanty

*/

#include <stdio.h>

// konstanty ala c - jsou do zdrojoveho kodu dosazeny jeste pred zpracovanim
// jako cisty text
#define DOLNI_MEZ_FARENHEIT 0
#define HORNI_MEZ_FARENHEIT 300

// konstanty ala c++ - jsou umistene v datove oblasti vysledneho spustitelneho
// souboru - jsou tedy do jiste miry podobne promennym
// const float DOLNI_MEZ_FARENHEIT = 0;      // pocatecni mez tabulky
// const float HORNI_MEZ_FARENHEIT = 300;    // horni mez

int main(void) {
    // v tomto radku chybel strednik
    // int fahr = 0;        // promenna pro stupne fahrenheita
    float celsius = 0;        // promenna pro stupne celsia
    int krok = 20;      // krok ve stupnich tabulky

    // v tomto radku bylo := namisto =
    // fahr = dolni;
    // zmena typu cyklu
    for (float fahr = DOLNI_MEZ_FARENHEIT; fahr <= HORNI_MEZ_FARENHEIT; fahr += krok) {
        celsius = (5 * (fahr - 32)) / 9;
        printf("%1.2f \t %1.2f \n", fahr, celsius); // vypise prevod pro konkretni hodnotu fahrenheita
    }
    return 0;
}

